jvx.geom

## Class PgFem

- java.lang.Object
- - jv.object.PsObject
  - - jvx.geom.PgFem

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf
  Direct Known Subclasses:
    PgFemHeight

      public abstract class PgFem
      extends PsObject

  Abstract class for functions defined on surfaces. See jv.geom.PgFemHeight for a simple implementation. Such functions are not restricted to be piecewise linear but may serve e.g. as piecewise polynomial function of arbitrary degree. No continuity requirements along edges.
  See Also:
    `PgFemHeight`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgFem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `eval(PgElementSet es, int elemInd, PdVector bary)`
    `void` | `eval(PgElementSet es, int elemInd, PdVector bary, PdVector field)`
    `void` | `init()` If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PgFem

          public PgFem()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsObject`
      If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
      Overrides:
        `init` in class `PsObject`

    - #### eval

          public double eval(PgElementSet es,
                    int elemInd,
                    PdVector bary)

    - #### eval

          public void eval(PgElementSet es,
                  int elemInd,
                  PdVector bary,
                  PdVector field)

"

The software JavaView? is copyright protected. All Rights Reserved.
"